Bug 214208 - Warning dialog about too large files from inactive diff window
Warning dialog about too large files from inactive diff window
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.2
PC Linux
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 13:04 UTC by _ rkubacki
Modified: 2013-06-06 01:50 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stact trace (3.63 KB, text/plain)
2012-06-14 13:05 UTC, _ rkubacki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ rkubacki 2012-06-14 13:04:57 UTC
NB7.2beta, Linux, JDK6_u32

I have Git repository and bunch of files opened in IDE and I have 'diff' window open permanently in the IDE as well though most of the time its tab is not active.

Sometimes I create a temporary file somewhere inside the repository and the IDE wants to read it once it detects that it exists. If the file is large I get a warning. Do not bother me with this: most likely I will delete it sooner than I get back to diff window. It is only a disruption.

The stack trace shows that the reason is diff module.
Comment 1 _ rkubacki 2012-06-14 13:05:27 UTC
Created attachment 120849 [details]
stact trace
Comment 2 Ondrej Vrabec 2013-06-05 09:06:52 UTC
fix: http://hg.netbeans.org/core-main/rev/591c67a773f6
Comment 3 Quality Engineering 2013-06-06 01:50:49 UTC
Integrated into 'main-golden', will be available in build *201306052301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/591c67a773f6
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #214208 - Warning dialog about too large files from inactive diff window
refreshing files only when the view is active, deactivated view should not waste resources and do meaningless work


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo